# Class Project

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.idea.model.Project

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

@Deprecated public class Project extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
Deprecated.
Will be removed in Gradle 10.
Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Project(org.gradle.internal.xml.XmlTransformer xmlTransformer, Object pathFactory)`
  Deprecated.
  Creates a new `Project`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addModulePath(File moduleFile)`
  Deprecated.
  Adds a module to the module paths included in the Project.
  `void`
  `configure(List<IdeaModule> modules, String jdkName, IdeaLanguageLevel languageLevel, JavaVersion bytecodeVersion, Collection<String> wildcards, Collection<ProjectLibrary> projectLibraries, String vcs)`
  Deprecated.
  Configure.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `protected String`
  `getDefaultResourceName()`
  Deprecated.
  `Jdk`
  `getJdk()`
  Deprecated.
  Represent the jdk information of the project java sdk.
  `Set<Path>`
  `getModulePaths()`
  Deprecated.
  A set of `Path` instances pointing to the modules contained in the ipr.
  `Set<ProjectLibrary>`
  `getProjectLibraries()`
  Deprecated.
  The project-level libraries of the IDEA project.
  `String`
  `getVcs()`
  Deprecated.
  The vcs used by the project.
  `Set<String>`
  `getWildcards()`
  Deprecated.
  A set of wildcard string to be included/excluded from the resources.
  `int`
  `hashCode()`
  Deprecated.
  `protected void`
  `load(Node xml)`
  Deprecated.
  `void`
  `setJdk(Jdk jdk)`
  Deprecated.
  Sets the jdk.
  `void`
  `setModulePaths(Set<Path> modulePaths)`
  Deprecated.
  Sets the module paths.
  `void`
  `setProjectLibraries(Set<ProjectLibrary> projectLibraries)`
  Deprecated.
  Sets the project libraries.
  `void`
  `setVcs(String vcs)`
  Deprecated.
  Sets the vcs.
  `void`
  `setWildcards(Set<String> wildcards)`
  Deprecated.
  Sets the wildcards.
  `protected void`
  `store(Node xml)`
  Deprecated.

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Project

    public Project(org.gradle.internal.xml.XmlTransformer xmlTransformer, Object pathFactory)
    Deprecated.
    Creates a new `Project`.
    Since:
      1.0

- ## Method Details

  - ### getModulePaths

    public Set<Path> getModulePaths()
    Deprecated.
    A set of `Path` instances pointing to the modules contained in the ipr.
    Since:
      1.0

  - ### setModulePaths

    public void setModulePaths(Set<Path> modulePaths)
    Deprecated.
    Sets the module paths.
    Since:
      1.0

  - ### addModulePath

    public void addModulePath(File moduleFile)
    Deprecated.
    Adds a module to the module paths included in the Project.
    Parameters:
      `moduleFile` - path to the module's module file
    Since:
      4.0

  - ### getWildcards

    public Set<String> getWildcards()
    Deprecated.
    A set of wildcard string to be included/excluded from the resources.
    Since:
      1.0

  - ### setWildcards

    public void setWildcards(Set<String> wildcards)
    Deprecated.
    Sets the wildcards.
    Since:
      1.0

  - ### getJdk

    public Jdk getJdk()
    Deprecated.
    Represent the jdk information of the project java sdk.
    Since:
      1.0

  - ### setJdk

    public void setJdk(Jdk jdk)
    Deprecated.
    Sets the jdk.
    Since:
      1.0

  - ### getVcs

    public String getVcs()
    Deprecated.
    The vcs used by the project.
    Since:
      2.2

  - ### setVcs

    public void setVcs(String vcs)
    Deprecated.
    Sets the vcs.
    Since:
      2.2

  - ### getProjectLibraries

    public Set<ProjectLibrary> getProjectLibraries()
    Deprecated.
    The project-level libraries of the IDEA project.
    Since:
      1.5

  - ### setProjectLibraries

    public void setProjectLibraries(Set<ProjectLibrary> projectLibraries)
    Deprecated.
    Sets the project libraries.
    Since:
      1.5

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Deprecated.
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### configure

    public void configure(List<IdeaModule> modules, String jdkName, IdeaLanguageLevel languageLevel, JavaVersion bytecodeVersion, Collection<String> wildcards, Collection<ProjectLibrary> projectLibraries, String vcs)
    Deprecated.
    Configure.
    Since:
      2.12

  - ### load

    protected void load(Node xml)
    Deprecated.
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### store

    protected void store(Node xml)
    Deprecated.
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`